<?php

namespace App\Filament\Admin\Resources\Packages\RelationManagers;

use App\Filament\Admin\Resources\OrderPackages\OrderPackageResource;
use Filament\Actions\CreateAction;
use Filament\Resources\RelationManagers\RelationManager;
use Filament\Tables\Table;

class OrderPackagesRelationManager extends RelationManager
{
    protected static string $relationship = 'orderPackages';

    protected static ?string $relatedResource = OrderPackageResource::class;

    public function table(Table $table): Table
    {
        return $table
            ->headerActions([
                CreateAction::make(),
            ]);
    }
}
